com.pb.lisdk.maptiling

## Class MapPointOutsideOfGridBoundsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - com.pb.lisdk.maptiling.MapPointOutsideOfGridBoundsException

All Implemented Interfaces:
  Serializable

    public class MapPointOutsideOfGridBoundsException
    extends IllegalArgumentException

Thrown when a map point is outside of the tile grid bounds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MapPointOutsideOfGridBoundsException(String message)` Creates a new exception instance with the given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MapPointOutsideOfGridBoundsException

    public MapPointOutsideOfGridBoundsException(String message)

Creates a new exception instance with the given message.

Parameters:
  `message` - a string describing the reason for the exception